# Default values for chum-to-json.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 2

image:
  repository: docker-registry.zooxlabs.com/chum-to-json
  tag: 19
  pullPolicy: Always

nameOverride: ""
fullnameOverride: ""

service:
  type: ClusterIP
  port: 80

env:
- name: FLAGS_port
  value: "8080"
- name: FLAGS_enable_caching
  value: "true"
- name: FLAGS_chum_cache_max_gb
  value: "100"
- name: PROMETHEUS_METRICS_PORT
  value: "5002"

ingress:
  enabled: false
  annotations: {}
  paths:
    - /
  hosts:
    - chum-to-json.example.zooxlabs.com
  tls: {}
  #  - hosts:
  #    - chum-to-json.example.zooxlabs.com
  #    secretName: z8s-cert

resources:
  limits:
    nvidia.com/gpu: 0
  requests:
    cpu: 500m
    memory: 4Gi
    ephemeral-storage: 100Gi

volumeMounts:
  - name: nautilus-rw
    mountPath: /mnt/nautilus_rw
  - name: nautilus-rw
    mountPath: /mnt/nautilus
  - name: sun-pcs01
    mountPath: /mnt/sun-pcs01
  - name: sun-pcp01
    mountPath: /mnt/sun-pcp01
  - name: flashblade
    mountPath: /mnt/flashblade

healthReporter:
  image:
    repository: docker-registry.zooxlabs.com/chum-to-json-health-reporter
    tag: 19
  env:
    - name: "FLAGS_polling_frequency"
      value: "60"
    - name: "FLAGS_environment"
      value: "staging"
    - name: "FLAGS_service_host"
      value: "chum-to-json:80"
    - name: "FLAGS_service_name"
      value: "chum_to_json"
    - name: "FLAGS_metrics_path"
      value: /metrics
  resources:
    requests:
      cpu: 32m
      memory: 100Mi


nodeSelector: {}

tolerations: []

affinity: {}

securityContext: {}
